Bug 1953647 - prometheus-adapter should have a PodDisruptionBudget in HA topology
Summary: prometheus-adapter should have a PodDisruptionBudget in HA topology
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Damien Grisonnet
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-26 15:05 UTC by Damien Grisonnet
Modified: 2021-07-27 23:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:03:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1149 0 None open Bug 1953647: Add prometheus-adapter PodDisruptionBudget 2021-05-06 10:23:59 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:04:02 UTC

Description Damien Grisonnet 2021-04-26 15:05:48 UTC
Description of problem:

In high-availability topology, prometheus-adapter need to have a PodDisruptionBudget to align with OpenShift `Upgrades and Reconfiguration` conventions. https://github.com/openshift/enhancements/blob/master/CONVENTIONS.md#upgrade-and-reconfiguration

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 6 Junqi Zhao 2021-05-10 08:37:55 UTC
tested with 4.8.0-0.nightly-2021-05-09-105430, poddisruptionbudgets is added
# oc -n openshift-monitoring get poddisruptionbudgets
NAME                 MIN AVAILABLE   MAX UNAVAILABLE   ALLOWED DISRUPTIONS   AGE
prometheus-adapter   1               N/A               1                     5h28m

Comment 9 errata-xmlrpc 2021-07-27 23:03:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.